#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int a, b, l;
    cin>>a>>b>>l;
    int s=a*1+b*1, br=s-1;
    if(br>l) br=l;
    for(int c=s; c<=l; c++)
    {
        int f=false;
        for(int x=1; !f && c/(x*a+b)>=1; x++)
        {
            if((c-x*a)%b==0) f=true;
        }
        if(!f) br++;
    }
    cout<<br;
    return 0;
}
